;InnoSetupVersion=2.0.17

[Setup]
AppName=ModemiX
AppVerName=ModemiX 1.0
AppId=ModemiX
AppPublisher=DELiX
AppPublisherURL=http://delix.republika.pl
AppSupportURL=http://delix.republika.pl
AppUpdatesURL=http://delix.republika.pl
DefaultDirName={pf}\DELiX\ModemiX
DefaultGroupName=DELiX
OutputBaseFilename=modemix
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\modem.exe"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\modemix.hlp"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\modemix.cnt"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\historia.txt"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\czytaj.txt"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\licencja.txt"; DestDir: "{app}"; Components: plik_wykonywalny; 
Source: "{app}\wtyczki\online.plg"; DestDir: "{app}\wtyczki"; Components: wtyczki; 
Source: "{app}\wtyczki\prognozy.plg"; DestDir: "{app}\wtyczki"; Components: wtyczki; 
Source: "{app}\wtyczki\stat.plg"; DestDir: "{app}\wtyczki"; Components: wtyczki; 
Source: "{app}\wtyczki\modemlog.plg"; DestDir: "{app}\wtyczki"; Components: wtyczki; 
Source: "{app}\wtyczki\taryfy.plg"; DestDir: "{app}\wtyczki"; Components: wtyczki,wtyczka_taryfy,taryfy_tpsa,taryfy_dialog,taryfy_netia; 
Source: "{app}\TP S.A. - Aktywny\powszedni.dat"; DestDir: "{app}\TP S.A. - Aktywny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Aktywny\sobota.dat"; DestDir: "{app}\TP S.A. - Aktywny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Aktywny\niedziela.dat"; DestDir: "{app}\TP S.A. - Aktywny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Aktywny\taryfa.nfo"; DestDir: "{app}\TP S.A. - Aktywny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Niedrogi\powszedni.dat"; DestDir: "{app}\TP S.A. - Niedrogi"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Niedrogi\sobota.dat"; DestDir: "{app}\TP S.A. - Niedrogi"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Niedrogi\niedziela.dat"; DestDir: "{app}\TP S.A. - Niedrogi"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Niedrogi\taryfa.nfo"; DestDir: "{app}\TP S.A. - Niedrogi"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Standard\niedziela.dat"; DestDir: "{app}\TP S.A. - Standard"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Standard\powszedni.dat"; DestDir: "{app}\TP S.A. - Standard"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Standard\sobota.dat"; DestDir: "{app}\TP S.A. - Standard"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Standard\taryfa.nfo"; DestDir: "{app}\TP S.A. - Standard"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Oszczdny\powszedni.dat"; DestDir: "{app}\TP S.A. - Oszczdny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Oszczdny\sobota.dat"; DestDir: "{app}\TP S.A. - Oszczdny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Oszczdny\niedziela.dat"; DestDir: "{app}\TP S.A. - Oszczdny"; Components: taryfy_tpsa; 
Source: "{app}\TP S.A. - Oszczdny\taryfa.nfo"; DestDir: "{app}\TP S.A. - Oszczdny"; Components: taryfy_tpsa; 
Source: "{app}\Dialog - Profit\powszedni.dat"; DestDir: "{app}\Dialog - Profit"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Profit\niedziela.dat"; DestDir: "{app}\Dialog - Profit"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Profit\sobota.dat"; DestDir: "{app}\Dialog - Profit"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Profit\taryfa.nfo"; DestDir: "{app}\Dialog - Profit"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Atut\powszedni.dat"; DestDir: "{app}\Dialog - Atut"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Atut\niedziela.dat"; DestDir: "{app}\Dialog - Atut"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Atut\sobota.dat"; DestDir: "{app}\Dialog - Atut"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Atut\taryfa.nfo"; DestDir: "{app}\Dialog - Atut"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Efekt\powszedni.dat"; DestDir: "{app}\Dialog - Efekt"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Efekt\niedziela.dat"; DestDir: "{app}\Dialog - Efekt"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Efekt\sobota.dat"; DestDir: "{app}\Dialog - Efekt"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Efekt\taryfa.nfo"; DestDir: "{app}\Dialog - Efekt"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Pionier\powszedni.dat"; DestDir: "{app}\Dialog - Pionier"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Pionier\niedziela.dat"; DestDir: "{app}\Dialog - Pionier"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Pionier\sobota.dat"; DestDir: "{app}\Dialog - Pionier"; Components: taryfy_dialog; 
Source: "{app}\Dialog - Pionier\taryfa.nfo"; DestDir: "{app}\Dialog - Pionier"; Components: taryfy_dialog; 
Source: "{app}\Netia - lokalne\powszedni.dat"; DestDir: "{app}\Netia - lokalne"; Components: taryfy_netia; 
Source: "{app}\Netia - lokalne\niedziela.dat"; DestDir: "{app}\Netia - lokalne"; Components: taryfy_netia; 
Source: "{app}\Netia - lokalne\sobota.dat"; DestDir: "{app}\Netia - lokalne"; Components: taryfy_netia; 
Source: "{app}\Netia - lokalne\taryfa.nfo"; DestDir: "{app}\Netia - lokalne"; Components: taryfy_netia; 
Source: "{app}\Netia - midzystrefowe\powszedni.dat"; DestDir: "{app}\Netia - midzystrefowe"; Components: taryfy_netia; 
Source: "{app}\Netia - midzystrefowe\niedziela.dat"; DestDir: "{app}\Netia - midzystrefowe"; Components: taryfy_netia; 
Source: "{app}\Netia - midzystrefowe\sobota.dat"; DestDir: "{app}\Netia - midzystrefowe"; Components: taryfy_netia; 
Source: "{app}\Netia - midzystrefowe\taryfa.nfo"; DestDir: "{app}\Netia - midzystrefowe"; Components: taryfy_netia; 
Source: "{app}\skorki\podstawowa\funkcje.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\ikonki.BMP"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\okno.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\oknomale.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\rozlacz.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\skorka.ini"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\tlo.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\podstawowa\tlomale.bmp"; DestDir: "{app}\skorki\podstawowa"; Components: skorki; 
Source: "{app}\skorki\brz\funkcje.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\ikonki.BMP"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\okno.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\oknomale.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\rozlacz.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\skorka.ini"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\tlo.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\tlomale.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\skorki\brz\podglad.bmp"; DestDir: "{app}\skorki\brz"; Components: skorki; 
Source: "{app}\AntySkorka\funkcje.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\okno.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\oknomale.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\rozlacz.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\skorka.ini"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\tlo.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\tlomale.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 
Source: "{app}\AntySkorka\podglad.bmp"; DestDir: "{app}\AntySkorka"; Components: skorki; 

[Run]
Filename: "{app}\modem.exe"; Description: "Uruchom teraz program ModemiX"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\ModemiX"; Filename: "{app}\modem.exe"; 
Name: "{userdesktop}\ModemiX"; Filename: "{app}\modem.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Utwrz ikon na &pulpicie"; GroupDescription: "Dodatkowe ikony:"; 

[Components]
Name: "plik_wykonywalny"; Description: "Plik wykonywalny programu"; Types: "pelna podstawowa plik_planytaryfowe dowolna"; 
Name: "taryfy_tpsa"; Description: "Plany taryfowe oferowane przez TP S.A."; Types: "plik_planytaryfowe pelna dowolna"; 
Name: "taryfy_netia"; Description: "Plany taryfowe oferowane przez Neti"; Types: "plik_planytaryfowe pelna dowolna"; 
Name: "taryfy_dialog"; Description: "Plany taryfowe oferowane przez Dialog"; Types: "plik_planytaryfowe pelna dowolna"; 
Name: "wtyczki"; Description: "Dodatkowe biblioteki zwikszajce funkcjonalno programu"; Types: "pelna dowolna"; 
Name: "wtyczka_taryfy"; Description: "Wtyczka zarzdzajca planami taryfowymi"; Types: "plik_planytaryfowe pelna dowolna"; 
Name: "skorki"; Description: "Przykadowe skrki dla programu"; Types: "pelna"; 

[Types]
Name: "podstawowa"; Description: "Tylko plik wykonywalny programu"; 
Name: "pelna"; Description: "Wszystkie komponenty programu"; 
Name: "plik_planytaryfowe"; Description: "Plik wykonywalny oraz plany taryfowe"; 
Name: "dowolna"; Description: "Wybr uytkownika"; 
